<TeXmacs|1.0.0.17>

<style|tmdoc>

<\body>
  <expand|tmdoc-title|Information about your new <TeXmacs> system>

  Thank you for upgrading <TeXmacs>. Several things have changed with respect
  to the old version on your disk. The most important changes are described
  below. In general, we recommend you to make backups of your old TeXmacs
  files before opening them using the present version of <TeXmacs>. In the
  unlikely case when your old file does not open in the correct way, please
  send a bug report to

  <\verbatim>
    \ \ \ \ bugs@texmacs.org
  </verbatim>

  and send your old document as an attached file. Do not forget to mention
  your version of <TeXmacs> and the system you are using.

  <expand|section|Style files (1.0.0.4)>

  Many changes have been made in the organization of the <apply|TeXmacs>
  style files. Personal style files which depend on intermediate
  <apply|TeXmacs> packages may require some slight adaptations.

  We are working towards a stabilization of the standard style files and
  packages. At the end of this process, it should be easy to adapt existing
  <apply|LaTeX> style files for journals to <apply|TeXmacs> by customizing
  these standard style files and packages. As soon as we have time, we plan
  to provide online documentation on how to do this at
  <samp|Help><with|mode|math|\<rightarrow\>><samp|Online documentation>.

  <expand|section|Menus (1.0.0.7 -- 1.0.1)>

  Several changes have been made in the menus. Here follows a list of the
  major changes:

  <\itemize>
    <item><samp|Buffer> has been renamed as <samp|Go>.

    <item>Several items from <samp|File> have been moved to <samp|View>.

    <item>The <samp|Edit><with|mode|math|\<rightarrow\>><samp|Import> and
    <samp|Edit><with|mode|math|\<rightarrow\>><samp|Export> items have been
    moved to <samp|Tools><with|mode|math|\<rightarrow\>><samp|Selections>.

    <item>The <samp|Insert> menu has been split up into the menus
    <samp|Insert>, <samp|Text> and <samp|Mathematics>.

    <item>The <samp|Text> and <samp|Paragraph> menus have been merged
    together in one <samp|Format> menu.

    <item><samp|Options> has been spread out across <samp|Document>,
    <samp|View>, <samp|Tools> and <samp|Edit><with|mode|math|\<rightarrow\>><\
    samp|Preferences>.
  </itemize>

  <expand|section|Keyboard (1.0.0.11 -- 1.0.1)>

  The <apply|TeXmacs> keybindings have been rationalized. Here follows a list
  of the major changes:

  <\itemize>
    <item>The <key|E-> prefix has been renamed to <key|M->.

    <item><key|escape> is equivalent to <key|M-> and
    <key|escape>-<key|escape> to <key|A->.

    <item>Mode dependent commands are now prefixed by <key|M->. In
    particular, accents are typed using <key|M-> instead of <key|E->.

    <item>Greek characters are now typed using <key|A-C->, <key|F5>, or the
    hyper modifier, which can be configured in
    <samp|Edit><with|mode|math|\<rightarrow\>><samp|Preferences>.

    <item>Variants are now obtained using <key|tab> instead of
    <key|<with|mode|math|\<ast\>>> and you can circle back using
    <key|shift-tab>.

    <item>The signification of the cursor keys in combination with control,
    alt and meta has changed.
  </itemize>

  You may choose between several ``look and feels'' for the keyboard
  behaviour in <samp|Edit><with|mode|math|\<rightarrow\>><samp|Preferences><w\
  ith|mode|math|\<rightarrow\>><samp|Look and feel>. The default is
  <samp|Emacs>, but you may choose <samp|Old style> if you want to keep the
  behaviour to which you may be used now.

  <apply|tmdoc-copyright|1998--2002|Joris van der Hoeven>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with no Invariant Sections, with no Front-Cover Texts, and with no
  Back-Cover Texts. A copy of the license is included in the section entitled
  "GNU Free Documentation License".>
</body>
